Issue #8990 has been updated by gg0 (Gabriele Giacone).


kosaki (Motohiro KOSAKI) wrote:
> 1. Every workaroud patch should have a comment why it is needed any which version has a problem. Even though prior work don't.

Comment might be: "GNU/Hurd doesn't fully support {get,set,make,swap}context functions. Disabling their usage till support is implemented. More info at http://darnassus.sceen.net/~hurd-web/open_issues/glibc/#getcontext"
Feel free to rephrase as you prefer.

> 2. defined(__GNU__) is unclear and confusable because a lot of people aren't familiar Hurd. So, it should be commented it's for GNU/Hurd.

It's fine what you did in r43077.
----------------------------------------
Bug #8990: please disable *context on hurd
https://bugs.ruby-lang.org/issues/8990#change-42324

Author: gg0 (Gabriele Giacone)
Status: Feedback
Priority: Normal
Assignee: 
Category: 
Target version: 
ruby -v: ruby 2.0.0p299 (2013-08-29) [i386-gnu]
Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN


This bug can be reproduced in Ruby 1.8 as well.

Attached patch disables *context use on hurd.
Hurd implementation is not working yet and it's hard estimating whenever it will be.

Thanks.


-- 
http://bugs.ruby-lang.org/